import cherrypy
import view.pages


class Handler:

    @cherrypy.expose()
    def hello(self):
        return "Hello World!"

    @cherrypy.expose()
    def index(self):
        html_dict = {
            "url": '/',
            "title": "Welcome to Python Academy!",
            "body": "<p>In this tutorial, you will learn how to turn a Notebook into a Website. Exciting, isn't it?"
        }
        return view.pages.make_html(html_dict)

    @cherrypy.expose()
    def simple_darts(self):
        html_dict = {
                "url": "simple_darts",
                "title": "Throwing Darts",
                "body": view.pages.dart_body_simple()
            }
        return view.pages.make_html(html_dict)


    @cherrypy.expose()
    def simple_mandel(self):
        html_dict = {
                "url": "simple_mandel",
                "title": "Drawing a fractal",
                "body": view.pages.mandel_body_simple()
            }
        return view.pages.make_html(html_dict)


    @cherrypy.expose()
    def darts(self, method=""):
        if cherrypy.session.get('dart', None) is None:
            cherrypy.session['dart'] = [0, 0, 0, 0, 0]
        return view.pages.make_html(
            {
                "url": "darts",
                "title": "Throwing Darts",
                "body": view.pages.dart_body(cherrypy.session, method)
            }
        )

    @cherrypy.expose()
    def mandel(self, method=""):
        if cherrypy.session.get('mandel', None) is None:
            cherrypy.session['mandel'] = [0, 0, 0, 0, 0]
        return view.pages.make_html(
            {
                "url": "mandel",
                "title": "Drawing a fractal",
                "body": view.pages.mandel_body(cherrypy.session, method)
            }
        )
