﻿#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# See https://docs.cherrypy.org/en/latest/tutorials.html for details

import os.path

import cherrypy
from cherrypy.process.plugins import Daemonizer

from handler import Handler

if __name__ == '__main__':
    conf = {
        '/': {
            'tools.sessions.on': True,
            'tools.staticdir.root': os.path.abspath(os.getcwd())
        },
        '/favicon.ico':
            {
                'tools.staticfile.on': True,
                'tools.staticfile.filename': os.path.abspath('./favicon.ico')
            },
        '/pictures': {
            'tools.staticdir.on': True,
            'tools.staticdir.dir': './pictures'
        }
    }

    cherrypy.config.update({"server.socket_host": "0.0.0.0",
                            'server.socket_port': 8765})

    cherrypy.quickstart(Handler(), '/', conf)
#    Daemonizer(cherrypy.engine).subscribe()
#    cherrypy.tree.mount(Handler(), "/", conf)
#    cherrypy.engine.start()
#    cherrypy.engine.block()
